Subject: Re: [bug#36943] [PATCH] gnu: Add emacs-ebdb.

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 06 Aug 2019 09:44:49 +0200

Hello,

Amin Bandali <[email-masked]> writes:

> This adds EBDB, an EIEIO port (rewrite) of BBDB.
>
> The package depends on cl-lib and seq.  I don’t see any mention of
> cl-lib in emacs-xyz.scm, but I do see an ‘emacs-seq’ there, and it’s
> used in propagated-inputs of three packages.  What’s the preferred way?
> Is it fine to omit seq (and other Emacs Core packages that were also
> added to GNU ELPA for users of older versions of Emacs), or would it be
> best to explicitly add it in propagated-inputs?

The package should build without emacs-seq and cl-lib, since Guix ships
with Emacs 25+, so I don't think these packages should be propagated. 

Regards,

-- 
Nicolas Goaziou